Bug 983352 - remote-viewer core dump with gdk_x_error when connect to spice server
remote-viewer core dump with gdk_x_error when connect to spice server
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer (Show other bugs)
7.0
Unspecified Unspecified
low Severity low
: rc
: 7.3
Assigned To: Default Assignee for SPICE Bugs
Virtualization Bugs
: Reopened
: 924045 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-10 23:59 EDT by Sibiao Luo
Modified: 2016-02-18 04:32 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 04:32:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core.11562-0-0-5-1386918590-dhcp-11-229.nay.redhat.com-remote-viewer (1.42 MB, application/x-gzip)
2013-12-13 03:21 EST, Sibiao Luo
no flags Details
core_dumped_bt_logs. (26.92 KB, text/plain)
2013-12-23 02:39 EST, Sibiao Luo
no flags Details

  None (edit)
Description Sibiao Luo 2013-07-10 23:59:07 EDT
Description of problem:
boot up a guest and with spice server, then connect it with remote-viewer, but met core dump with gdk_x_error. 

Version-Release number of selected component (if applicable):
host info:
3.10.0-1.el7.x86_64
qemu-kvm-1.5.1-2.el7.x86_64
seabios-1.7.2.2-2.el7.x86_64
spice-server-0.12.3-1.el7.x86_64
spice-gtk-0.20-1.el7.x86_64
spice-gtk3-0.20-1.el7.x86_64
spice-protocol-0.12.6-1.el7.noarch
virt-viewer-0.5.6-1.el7.x86_64

How reproducible:
hit two times.

Steps to Reproduce:
1.boot a guest with spice server.
# /usr/libexec/qemu-kvm -S -M q35 -cpu SandyBridge -enable-kvm -m 4096 -smp 4,sockets=2,cores=2,threads=1 -no-kvm-pit-reinjection -name sluo -uuid 355a2475-4e03-4cdd-bf7b-5d6a59edaa61 -rtc base=localtime,clock=host,driftfix=slew -device pci-bridge,bus=pcie.0,id=bridge1,chassis_nr=1,addr=0x3 -device virtio-serial-pci,id=virtio-serial0,max_ports=16,vectors=0,bus=bridge1,addr=0x4 -chardev socket,id=channel1,path=/tmp/helloworld1,server,nowait -device virtserialport,chardev=channel1,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port1 -chardev socket,id=channel2,path=/tmp/helloworld2,server,nowait -device virtserialport,chardev=channel2,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port2 -device ioh3420,bus=pcie.0,id=root.0,slot=1 -device x3130-upstream,bus=root.0,id=upstream0 -device xio3130-downstream,bus=upstream0,id=downstream0,chassis=1 -drive file=/home/RHEL-7.0-20130628.0-Server-x86_64.qcow3,if=none,id=drive-system-disk,format=qcow2,cache=none,aio=native,werror=stop,rerror=stop,serial="QEMU-DISK1" -device virtio-blk-pci,scsi=off,bus=downstream0,addr=0x0,drive=drive-system-disk,id=system-disk,bootindex=1 -device virtio-balloon-pci,id=ballooning,bus=downstream0,addr=0x5 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -device ioh3420,bus=pcie.0,id=root.1,slot=2 -device x3130-upstream,bus=root.1,id=upstream1 -device xio3130-downstream,bus=upstream1,id=downstream1,chassis=2 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=08:2e:5f:0a:0d:b1,bus=downstream1,addr=0x0,bootindex=2 -k en-us -boot menu=on -qmp tcp:0:4444,server,nowait -serial unix:/tmp/ttyS0,server,nowait -spice port=5931,disable-ticketing -monitor stdio -device ioh3420,bus=pcie.0,id=root.2,slot=3 -device x3130-upstream,bus=root.2,id=upstream2 -device xio3130-downstream,bus=upstream2,id=downstream2,chassis=3 -drive file=/home/my-data-disk1.qcow3,if=none,id=drive-data-disk1,format=qcow2,cache=none,aio=native,werror=stop,rerror=stop,serial="QEMU-DISK2",readonly=on -device virtio-blk-pci,scsi=on,bus=downstream2,addr=0x0,drive=drive-data-disk1,id=data-disk1 -drive file=/home/my-data-disk2.qcow3,if=none,id=drive-data-disk2,format=qcow2,cache=none,aio=native,werror=stop,rerror=stop,serial="QEMU-DISK3",readonly=on -device virtio-blk-pci,scsi=on,bus=bridge1,addr=0x6,drive=drive-data-disk2,id=data-disk2
2.connect to spice server.
# remote-viewer spice://$server_ip_addr:$port
3.

Actual results:
after step 2, remote-viewer core dump.
# remote-viewer spice://localhost:5931
Gtk-Message: Failed to load module "pk-gtk-module"
Gtk-Message: Failed to load module "canberra-gtk-module"
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.

(remote-viewer:1506): GSpice-WARNING **: Error connecting to session dbus: /bin/dbus-launch terminated abnormally without any error message

(remote-viewer:1506): GSpice-WARNING **: Warning no automount-inhibiting implementation available

(remote-viewer:1506): Gdk-ERROR **: The program 'remote-viewer' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadShmSeg (invalid shared segment parameter)'.
  (Details: serial 411 error_code 148 request_code 140 minor_code 3)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trace/breakpoint trap (core dumped)

Expected results:
it should not core dump.

Additional info:
Comment 1 Sibiao Luo 2013-07-10 23:59:45 EDT
(gdb) bt
#0  0x0000003618c4ee0d in g_logv () from /lib64/libglib-2.0.so.0
#1  0x0000003618c4eff2 in g_log () from /lib64/libglib-2.0.so.0
#2  0x00000036346661eb in gdk_x_error () from /lib64/libgdk-x11-2.0.so.0
#3  0x0000003621443c2b in _XError () from /lib64/libX11.so.6
#4  0x0000003621440c87 in handle_error () from /lib64/libX11.so.6
#5  0x0000003621440d35 in handle_response () from /lib64/libX11.so.6
#6  0x0000003621441675 in _XEventsQueued () from /lib64/libX11.so.6
#7  0x000000362143378b in XEventsQueued () from /lib64/libX11.so.6
#8  0x000000362989c9a5 in _cairo_xlib_shm_surface_create.isra.10 () from /lib64/libcairo.so.2
#9  0x000000362989d497 in _cairo_xlib_surface_create_shm () from /lib64/libcairo.so.2
#10 0x000000362989378a in draw_image_boxes () from /lib64/libcairo.so.2
#11 0x000000362987ddf6 in clip_and_composite_boxes () from /lib64/libcairo.so.2
#12 0x000000362987e8e2 in _cairo_traps_compositor_paint () from /lib64/libcairo.so.2
#13 0x0000003629828189 in _cairo_compositor_paint () from /lib64/libcairo.so.2
#14 0x000000362986bbb9 in _cairo_surface_paint () from /lib64/libcairo.so.2
#15 0x000000362982fe56 in _cairo_gstate_fill () from /lib64/libcairo.so.2
#16 0x0000003629829959 in _cairo_default_context_fill () from /lib64/libcairo.so.2
#17 0x0000003629823205 in cairo_fill () from /lib64/libcairo.so.2
#18 0x00000034d2c0f11d in spicex_draw_event (display=display@entry=0x107b210, cr=cr@entry=0x11aa800)
    at spice-widget-cairo.c:135
#19 0x00000034d2c0f20c in spicex_expose_event (display=0x107b210, expose=0x7fff7528e2a0) at spice-widget-cairo.c:165
#20 0x00000034d2c0c152 in expose_event (widget=<optimized out>, expose=<optimized out>) at spice-widget.c:1136
#21 0x00000036353426ec in _gtk_marshal_BOOLEAN__BOXED () from /lib64/libgtk-x11-2.0.so.0
#22 0x000000361a00fa28 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#23 0x000000361a0207fb in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#24 0x000000361a028462 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#25 0x000000361a028a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#26 0x000000363546a474 in gtk_widget_event_internal () from /lib64/libgtk-x11-2.0.so.0
#27 0x0000003635340fc0 in gtk_main_do_event () from /lib64/libgtk-x11-2.0.so.0
#28 0x00000036346427ff in _gdk_window_process_updates_recurse () from /lib64/libgdk-x11-2.0.so.0
#29 0x00000036346427a5 in _gdk_window_process_updates_recurse () from /lib64/libgdk-x11-2.0.so.0
#30 0x00000036346427a5 in _gdk_window_process_updates_recurse () from /lib64/libgdk-x11-2.0.so.0
#31 0x00000036346427a5 in _gdk_window_process_updates_recurse () from /lib64/libgdk-x11-2.0.so.0
#32 0x000000363463f1da in gdk_window_process_updates_internal () from /lib64/libgdk-x11-2.0.so.0
#33 0x000000363463fb18 in gdk_window_process_all_updates () from /lib64/libgdk-x11-2.0.so.0
#34 0x000000363463fb79 in gdk_window_update_idle () from /lib64/libgdk-x11-2.0.so.0
#35 0x000000363461e207 in gdk_threads_dispatch () from /lib64/libgdk-x11-2.0.so.0
#36 0x0000003618c47e06 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#37 0x0000003618c48158 in g_main_context_iterate.isra.22 () from /lib64/libglib-2.0.so.0
#38 0x0000003618c4855a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#39 0x000000363533fdb7 in gtk_main () from /lib64/libgtk-x11-2.0.so.0
#40 0x000000000040e488 in main (argc=1, argv=0x7fff7528eb78) at remote-viewer-main.c:316
(gdb) 
(gdb) bt full
#0  0x0000003618c4ee0d in g_logv () from /lib64/libglib-2.0.so.0
No symbol table info available.
#1  0x0000003618c4eff2 in g_log () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000036346661eb in gdk_x_error () from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#3  0x0000003621443c2b in _XError () from /lib64/libX11.so.6
No symbol table info available.
#4  0x0000003621440c87 in handle_error () from /lib64/libX11.so.6
No symbol table info available.
#5  0x0000003621440d35 in handle_response () from /lib64/libX11.so.6
No symbol table info available.
#6  0x0000003621441675 in _XEventsQueued () from /lib64/libX11.so.6
No symbol table info available.
#7  0x000000362143378b in XEventsQueued () from /lib64/libX11.so.6
No symbol table info available.
#8  0x000000362989c9a5 in _cairo_xlib_shm_surface_create.isra.10 () from /lib64/libcairo.so.2
No symbol table info available.
#9  0x000000362989d497 in _cairo_xlib_surface_create_shm () from /lib64/libcairo.so.2
No symbol table info available.
#10 0x000000362989378a in draw_image_boxes () from /lib64/libcairo.so.2
No symbol table info available.
#11 0x000000362987ddf6 in clip_and_composite_boxes () from /lib64/libcairo.so.2
No symbol table info available.
#12 0x000000362987e8e2 in _cairo_traps_compositor_paint () from /lib64/libcairo.so.2
No symbol table info available.
#13 0x0000003629828189 in _cairo_compositor_paint () from /lib64/libcairo.so.2
No symbol table info available.
#14 0x000000362986bbb9 in _cairo_surface_paint () from /lib64/libcairo.so.2
No symbol table info available.
#15 0x000000362982fe56 in _cairo_gstate_fill () from /lib64/libcairo.so.2
No symbol table info available.
#16 0x0000003629829959 in _cairo_default_context_fill () from /lib64/libcairo.so.2
No symbol table info available.
#17 0x0000003629823205 in cairo_fill () from /lib64/libcairo.so.2
No symbol table info available.
#18 0x00000034d2c0f11d in spicex_draw_event (display=display@entry=0x107b210, cr=cr@entry=0x11aa800)
    at spice-widget-cairo.c:135
        d = 0x107b280
        rect = {x = 0, y = 0, width = 720, height = 400}
        region = 0x1194160
        s = 1
        x = 0
        y = 0
        ww = 720
        wh = 400
        w = 720
        h = 400
#19 0x00000034d2c0f20c in spicex_expose_event (display=0x107b210, expose=0x7fff7528e2a0) at spice-widget-cairo.c:165
        cr = 0x11aa800
#20 0x00000034d2c0c152 in expose_event (widget=<optimized out>, expose=<optimized out>) at spice-widget.c:1136
        display = <optimized out>
        d = <optimized out>
        __PRETTY_FUNCTION__ = "expose_event"
#21 0x00000036353426ec in _gtk_marshal_BOOLEAN__BOXED () from /lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#22 0x000000361a00fa28 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#23 0x000000361a0207fb in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#24 0x000000361a028462 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#25 0x000000361a028a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#26 0x000000363546a474 in gtk_widget_event_internal () from /lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#27 0x0000003635340fc0 in gtk_main_do_event () from /lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#28 0x00000036346427ff in _gdk_window_process_updates_recurse () from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#29 0x00000036346427a5 in _gdk_window_process_updates_recurse () from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#30 0x00000036346427a5 in _gdk_window_process_updates_recurse () from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#31 0x00000036346427a5 in _gdk_window_process_updates_recurse () from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#32 0x000000363463f1da in gdk_window_process_updates_internal () from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#33 0x000000363463fb18 in gdk_window_process_all_updates () from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#34 0x000000363463fb79 in gdk_window_update_idle () from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#35 0x000000363461e207 in gdk_threads_dispatch () from /lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#36 0x0000003618c47e06 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
No symbol table info available.
#37 0x0000003618c48158 in g_main_context_iterate.isra.22 () from /lib64/libglib-2.0.so.0
No symbol table info available.
#38 0x0000003618c4855a in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#39 0x000000363533fdb7 in gtk_main () from /lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#40 0x000000000040e488 in main (argc=1, argv=0x7fff7528eb78) at remote-viewer-main.c:316
        context = <optimized out>
        error = 0x0
        ret = 1
        zoom = 100
        args = 0x106a300
        uri = <optimized out>
        title = 0x0
        hotkeys = 0x0
        verbose = 0
        debug = 0
        direct = 0
        viewer = 0x1090060
        controller = 0
        app = 0x1090060
        options = {{long_name = 0x422f1e "version", short_name = 86 'V', flags = 8, arg = G_OPTION_ARG_CALLBACK, 
            arg_data = 0x4212e0 <remote_viewer_version>, description = 0x425f3d "Display version information", 
            arg_description = 0x0}, {long_name = 0x421dff "verbose", short_name = 118 'v', flags = 0, 
            arg = G_OPTION_ARG_NONE, arg_data = 0x7fff7528e820, description = 0x425f59 "Display verbose information", 
            arg_description = 0x0}, {long_name = 0x425f80 "title", short_name = 116 't', flags = 0, 
            arg = G_OPTION_ARG_STRING, arg_data = 0x7fff7528e840, description = 0x425f75 "Set window title", 
            arg_description = 0x0}, {long_name = 0x425f86 "direct", short_name = 100 'd', flags = 0, 
            arg = G_OPTION_ARG_NONE, arg_data = 0x7fff7528e828, 
            description = 0x4260c8 "Direct connection with no automatic tunnels", arg_description = 0x0}, {
            long_name = 0x4237d6 "zoom", short_name = 122 'z', flags = 0, arg = G_OPTION_ARG_INT, 
            arg_data = 0x7fff7528e81c, description = 0x4260f8 "Zoom level of window, in percentage", 
            arg_description = 0x425f8d "ZOOM"}, {long_name = 0x425f92 "debug", short_name = 0 '\000', flags = 0, 
            arg = G_OPTION_ARG_NONE, arg_data = 0x7fff7528e824, description = 0x425f98 "Display debugging information", 
            arg_description = 0x0}, {long_name = 0x425fb6 "full-screen", short_name = 102 'f', flags = 32, 
            arg = G_OPTION_ARG_CALLBACK, arg_data = 0x421340 <option_fullscreen>, 
            description = 0x426120 "Open in full screen mode (auto-conf adjusts guest resolution to fit the client's).", 
            arg_description = 0x425fc2 "<auto-conf>"}, {long_name = 0x425fce "spice-controller", short_name = 0 '\000', 
            flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff7528e82c, 
            description = 0x426178 "Open connection using Spice controller communication", arg_description = 0x0}, {
            long_name = 0x425fe9 "hotkeys", short_name = 104 'h', flags = 0, arg = G_OPTION_ARG_STRING, 
            arg_data = 0x7fff7528e848, description = 0x425fdf "Customise hotkeys", arg_description = 0x0}, {
            long_name = 0x424039 "", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_STRING_ARRAY, 
            arg_data = 0x7fff7528e838, description = 0x0, arg_description = 0x421e49 "URI"}, {long_name = 0x0, 
            short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, 
            arg_description = 0x0}}
(gdb)
Comment 2 Marc-Andre Lureau 2013-08-08 05:10:48 EDT
That could be a lower level bug. Can you reproduce with a RHEL6 client?
Comment 3 Sibiao Luo 2013-08-18 22:35:35 EDT
(In reply to Marc-Andre Lureau from comment #2)
> That could be a lower level bug. Can you reproduce with a RHEL6 client?
It cann't be reproduced with rhel6 client, there is a bug 892408 that fail to display rhel7 guest screen when use the remote-viewer of rhel6.4 to connect VM. I will change it to lower level, thanks.
Comment 4 Marc-Andre Lureau 2013-12-10 18:11:48 EST
is it still reproducible? I doesn't seem like a spice-gtk issue. Perhaps an OOM error? How much free RAM do you have?
Comment 5 Christophe Fergeau 2013-12-11 04:35:02 EST
Did it happen when connecting through ssh or when logged in as root in a desktop session started as a regular user? Do you have the dconf package installed?
Comment 6 Sibiao Luo 2013-12-13 02:16:50 EST
(In reply to Marc-Andre Lureau from comment #4)
> is it still reproducible? I doesn't seem like a spice-gtk issue. Perhaps an
> OOM error? How much free RAM do you have?

yes, always still hit it, not sure whether relate to spice-gtk issue, but i doubt it.

host ]# free -m
             total       used       free     shared    buffers     cached
Mem:          7815       1476       6338          4          1        385
-/+ buffers/cache:       1089       6725
Swap:         8079          0       8079

host info:
3.10.0-60.el7.x86_64
qemu-kvm-rhev-1.5.3-21.el7.x86_64
seabios-1.7.2.2-4.el7.x86_64
spice-server-0.12.4-3.el7.x86_64
spice-gtk3-0.20-6.el7.x86_64
spice-vdagent-0.14.0-5.el7.x86_64
spice-glib-0.20-6.el7.x86_64
virt-viewer-0.5.7-2.el7.x86_64
guest info:
3.10.0-60.el7.x86_64

My qemu-kvm command line:
# /usr/libexec/qemu-kvm -M pc -S -cpu Opteron_G5 -enable-kvm -m 2048 -smp 2,sockets=2,cores=1,threads=1 -no-kvm-pit-reinjection -usb -device usb-tablet,id=input0 -name sluo -uuid 990ea161-6b67-47b2-b803-19fb01d30d30 -rtc base=localtime,clock=host,driftfix=slew -device virtio-serial-pci,id=virtio-serial0,max_ports=16,vectors=0,bus=pci.0,addr=0x3 -chardev socket,id=channel1,path=/tmp/helloworld1,server,nowait -device virtserialport,chardev=channel1,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port1 -chardev socket,id=channel2,path=/tmp/helloworld2,server,nowait -device virtserialport,chardev=channel2,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port2 -drive file=/home/RHEL-7.0-20131127.1_Server_x86_64.qcow2,if=none,id=drive-disk,cache=none,format=qcow2,aio=native,werror=stop,rerror=stop -device virtio-blk-pci,vectors=0,bus=pci.0,addr=0x4,scsi=off,drive=drive-disk,id=system-disk,bootindex=1 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=00:01:02:B6:40:21,bus=pci.0,addr=0x5 -device virtio-balloon-pci,id=ballooning,bus=pci.0,addr=0x6 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -k en-us -boot menu=on -qmp tcp:0:4444,server,nowait -serial unix:/tmp/ttyS0,server,nowait -vnc :1 -spice disable-ticketing,port=5931 -monitor stdio

# remote-viewer spice://localhost:5931

** (remote-viewer:11562): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-vNcLbDJz10: Connection refused

(remote-viewer:11562): Gdk-ERROR **: The program 'remote-viewer' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAccess (attempt to access private resource denied)'.
  (Details: serial 194 error_code 10 request_code 140 minor_code 1)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trace/breakpoint trap (core dumped)

# gdb remote-viewer /var/core.11562-0-0-5-1386918590-dhcp-11-229.nay.redhat.com-remote-viewer

Core was generated by `remote-viewer spice://localhost:5931'.
Program terminated with signal 5, Trace/breakpoint trap.
#0  0x000000387664ee0d in g_logv () from /lib64/libglib-2.0.so.0
(gdb) bt
#0  0x000000387664ee0d in g_logv () from /lib64/libglib-2.0.so.0
#1  0x000000387664eff2 in g_log () from /lib64/libglib-2.0.so.0
#2  0x0000003883a44760 in _gdk_x11_display_error_event () from /lib64/libgdk-3.so.0
#3  0x0000003883a4f111 in gdk_x_error () from /lib64/libgdk-3.so.0
#4  0x0000003879643c2b in _XError () from /lib64/libX11.so.6
#5  0x0000003879640c87 in handle_error () from /lib64/libX11.so.6
#6  0x0000003879640d35 in handle_response () from /lib64/libX11.so.6
#7  0x0000003879641c30 in _XReply () from /lib64/libX11.so.6
#8  0x000000387962d582 in XInternAtoms () from /lib64/libX11.so.6
#9  0x0000003883a4f9f6 in _gdk_x11_precache_atoms () from /lib64/libgdk-3.so.0
#10 0x0000003883a4bbd4 in _gdk_x11_window_register_dnd () from /lib64/libgdk-3.so.0
#11 0x000000387720fa28 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#12 0x0000003877220a3d in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#13 0x0000003877228829 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#14 0x0000003877228a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#15 0x00000038844b7456 in gtk_widget_realize () from /lib64/libgtk-3.so.0
#16 0x00000038844b7750 in gtk_widget_map () from /lib64/libgtk-3.so.0
#17 0x00000038842b50ca in gtk_box_forall () from /lib64/libgtk-3.so.0
#18 0x00000038842f872f in gtk_container_map () from /lib64/libgtk-3.so.0
#19 0x000000387720fbcf in _g_closure_invoke_va () from /lib64/libgobject-2.0.so.0
#20 0x0000003877227d87 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#21 0x0000003877228a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#22 0x00000038844b7719 in gtk_widget_map () from /lib64/libgtk-3.so.0
#23 0x00000038842b50fa in gtk_box_forall () from /lib64/libgtk-3.so.0
#24 0x00000038842f872f in gtk_container_map () from /lib64/libgtk-3.so.0
#25 0x000000387720fbcf in _g_closure_invoke_va () from /lib64/libgobject-2.0.so.0
#26 0x0000003877227d87 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#27 0x0000003877228a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#28 0x00000038844b7719 in gtk_widget_map () from /lib64/libgtk-3.so.0
#29 0x00000038844c8c10 in gtk_window_map () from /lib64/libgtk-3.so.0
#30 0x000000387720fc57 in _g_closure_invoke_va () from /lib64/libgobject-2.0.so.0
#31 0x0000003877227d87 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#32 0x0000003877228a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#33 0x00000038844b7719 in gtk_widget_map () from /lib64/libgtk-3.so.0
#34 0x00000038844c1661 in gtk_window_show () from /lib64/libgtk-3.so.0
#35 0x000000387720fa28 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#36 0x0000003877220247 in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#37 0x0000003877228829 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#38 0x0000003877228a72 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#39 0x00000038844b597c in gtk_widget_show () from /lib64/libgtk-3.so.0
#40 0x000000000041a741 in virt_viewer_window_show ()
#41 0x000000000040fee0 in virt_viewer_app_default_start ()
#42 0x0000000000421c22 in remote_viewer_start ()
#43 0x00000000004125d6 in virt_viewer_app_start ()
#44 0x000000000040e85c in main ()
(gdb) 

Best Regards,
sluo
Comment 7 Sibiao Luo 2013-12-13 02:21:17 EST
(In reply to Christophe Fergeau from comment #5)
> Did it happen when connecting through ssh or when logged in as root in a
> desktop session started as a regular user? Do you have the dconf package
> installed?
It just happen at connect the VM via remot-viewer after boot the QEMU which i run it as root user. I don't know what's the dconf package, but i believed that i didnot install any package by myselves, just install my host and guest OS via the GUI automatically.
I will attach the core dumped file(comment #6) to you for further debug.
Comment 8 Sibiao Luo 2013-12-13 03:21:37 EST
Created attachment 836208 [details]
core.11562-0-0-5-1386918590-dhcp-11-229.nay.redhat.com-remote-viewer
Comment 9 Marc-Andre Lureau 2013-12-13 05:17:52 EST
So you are running remote-viewer as root? I can't reproduce that crash, even as root.

Could you provide your gtk+ version, and environment? (export)

Can you also try running another application, such as gedit as root?

thanks
Comment 10 Sibiao Luo 2013-12-15 21:23:36 EST
(In reply to Marc-Andre Lureau from comment #9)
> So you are running remote-viewer as root? I can't reproduce that crash, even
> as root.
Yes, run the remote-viewer as root, this was not 100% reproduce but always hit.
> Could you provide your gtk+ version, and environment? (export)
# rpm -qa | grep gtk3
adwaita-gtk3-theme-3.8.4-1.el7.x86_64
PackageKit-gtk3-module-0.8.9-8.el7.x86_64
gtk3-immodule-xim-3.8.4-5.el7.x86_64
webkitgtk3-2.0.4-2.el7.x86_64
spice-gtk3-0.20-6.el7.x86_64
ibus-gtk3-1.5.3-1.el7.x86_64
avahi-ui-gtk3-0.6.31-11.el7.x86_64
gtk3-3.8.4-5.el7.x86_64
libcanberra-gtk3-0.30-3.el7.x86_64
caribou-gtk3-module-0.4.11-1.el7.x86_64

# export
declare -x DISPLAY="localhost:11.0"
declare -x HISTCONTROL="ignoredups"
declare -x HISTSIZE="1000"
declare -x HOME="/root"
declare -x HOSTNAME="dhcp-11-229.nay.redhat.com"
declare -x LANG="en_US.utf8"
declare -x LESSOPEN="||/usr/bin/lesspipe.sh %s"
declare -x LOGNAME="root"
declare -x LS_COLORS="rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:"
declare -x MAIL="/var/spool/mail/root"
declare -x OLDPWD
declare -x PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin"
declare -x PWD="/root"
declare -x SELINUX_LEVEL_REQUESTED=""
declare -x SELINUX_ROLE_REQUESTED=""
declare -x SELINUX_USE_CURRENT_RANGE=""
declare -x SHELL="/bin/bash"
declare -x SHLVL="1"
declare -x SSH_CLIENT="10.66.65.8 45478 22"
declare -x SSH_CONNECTION="10.66.65.8 45478 10.66.11.229 22"
declare -x SSH_TTY="/dev/pts/1"
declare -x TERM="xterm"
declare -x USER="root"
declare -x XDG_RUNTIME_DIR="/run/user/0"
declare -x XDG_SESSION_ID="465"
declare -x XMODIFIERS="@im=ibus"
> Can you also try running another application, such as gedit as root?
> 
not problem with many times testing when gedit application was running as root.

Best Regards,
sluo
Comment 11 Christophe Fergeau 2013-12-16 05:29:00 EST
(In reply to Sibiao Luo from comment #10)
> (In reply to Marc-Andre Lureau from comment #9)
> > So you are running remote-viewer as root? I can't reproduce that crash, even
> > as root.
> Yes, run the remote-viewer as root, this was not 100% reproduce but always
> hit.

If you can reproduce it, can you install virt-viewer debug symbols (debuginfo-install virt-viewer should do that), or at least cairo-debuginfo and gtk3-debuginfo, and glib2-debuginfo ?
Also, at which point do you become root? Do you log in your desktop session as root, or are you using su/sudo?
Comment 12 Christophe Fergeau 2013-12-18 07:50:33 EST
So this is looks actually quite similar to bug #924045 which you also reported. One thing they have in common is that you are running remote-viewer as root.
Could you try starting a session as a non-root user, and run remote-viewer as a non-root user as well?
Comment 14 Sibiao Luo 2013-12-23 02:38:51 EST
(In reply to Christophe Fergeau from comment #11)
> (In reply to Sibiao Luo from comment #10)
> > (In reply to Marc-Andre Lureau from comment #9)
> > > So you are running remote-viewer as root? I can't reproduce that crash, even
> > > as root.
> > Yes, run the remote-viewer as root, this was not 100% reproduce but always
> > hit.
> 
> If you can reproduce it, can you install virt-viewer debug symbols
> (debuginfo-install virt-viewer should do that), or at least cairo-debuginfo
> and gtk3-debuginfo, and glib2-debuginfo ?
yes, thanks for your kindly reminds, i has installed as your instruction, i will attach the bt log details later.
> Also, at which point do you become root? Do you log in your desktop session
> as root, or are you using su/sudo?
I just login test host desktop session as root via 'ssh root@test_host_ip -X'.

Best Regards,
sluo
Comment 15 Sibiao Luo 2013-12-23 02:39:31 EST
Created attachment 840695 [details]
core_dumped_bt_logs.
Comment 16 Sibiao Luo 2013-12-23 02:44:55 EST
(In reply to Christophe Fergeau from comment #12)
> So this is looks actually quite similar to bug #924045 which you also
> reported. One thing they have in common is that you are running
> remote-viewer as root.
yes, they are similar, not sure they are the same as the bt log are quit different.
> Could you try starting a session as a non-root user, and run remote-viewer
> as a non-root user as well?
tried many times that not met it as non-root user, but this issue not 100% reproduce, so i don't know whether relate to the root/non-root user. 

Best Regards,
sluo
Comment 17 Christophe Fergeau 2014-01-02 05:12:16 EST
(In reply to Sibiao Luo from comment #14)
> > Also, at which point do you become root? Do you log in your desktop session
> > as root, or are you using su/sudo?
> I just login test host desktop session as root via 'ssh root@test_host_ip
> -X'.

When you test through ssh, can you mention it in the reproduction steps of future
bugs? However, I cannot reproduce this bug through ssh either :( Does the crash happen when you are starting remote-viewer directly on your test machine (assuming you have physical access to it)?
Comment 18 CongLi 2014-01-15 04:30:48 EST
(In reply to Christophe Fergeau from comment #17)
> When you test through ssh, can you mention it in the reproduction steps of
> future
> bugs? However, I cannot reproduce this bug through ssh either :( Does the
> crash happen when you are starting remote-viewer directly on your test
> machine (assuming you have physical access to it)?

Hi, 

Hit this bug on version:
virt-viewer-0.5.7-4.el7.x86_64
gtk3-3.8.8-4.el7.x86_64
spice-gtk3-0.20-7.el7.x86_64
spice-gtk-debuginfo-0.20-7.el7.x86_64
gtk2-2.24.22-3.el7.x86_64

The gdb info is same as comment 6.

I think you can reproduce this bug using cmd 'remote-viewer spice://$server_ip_addr:$port', and kill the remote-viewer then connect it many times as it's not easy to reproduce, which will be helpful.

Thanks,
Cong
Comment 19 RHEL Product and Program Management 2014-03-22 02:44:16 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 20 Marc-Andre Lureau 2014-06-16 12:04:51 EDT
please reproduce with GDK_SYNCHRONIZE=1 in environment, and provide backtrace of the abort, this should tell us more precisely what failed.
Comment 21 Sibiao Luo 2014-06-17 02:10:57 EDT
(In reply to Marc-Andre Lureau from comment #20)
> please reproduce with GDK_SYNCHRONIZE=1 in environment, and provide
> backtrace of the abort, this should tell us more precisely what failed.

Tried many times but did not reproduce it currently, i will provide the backtrace with your instruction when i meet this abort again. Thanks.

Best Regards,
sluo
Comment 22 Marc-Andre Lureau 2014-07-03 14:28:57 EDT
(In reply to Sibiao Luo from comment #21)
> Tried many times but did not reproduce it currently, i will provide the
> backtrace with your instruction when i meet this abort again. Thanks.

thanks, I think we should close the bug in the meantime
Comment 24 Cui Lei 2014-07-07 22:06:15 EDT
According to comment21 and comment22, close the bug as currentrelease.
Anyone meet the issue again, please feel free to open the bug.
Comment 26 Sibiao Luo 2014-07-07 22:14:11 EDT
Re-open it according to comment #25.
Comment 27 Marc-Andre Lureau 2014-07-08 07:13:06 EDT
I really can't reproduce, and it seems to be some X11 issue rather than client side (there are a few similar bugs reported for other apps).

Can you try running "# while true ; do gnome-terminal -e "bash -c exit" ; done" instead of running remote-viewer? thanks
Comment 33 Marc-Andre Lureau 2014-07-11 04:51:03 EDT
As it stands, we are unable to reproduce. Please Sibiao, help us to find a reliable reproducer so we could work on this bug.
Comment 36 Christophe Fergeau 2014-08-06 04:39:30 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=986768#c7 has some things to try:

"On the other hand, the stacktrace clearly shows an X error occurring. Please reproduce this error with GDK_SYNCHRONIZE=1 and get a stacktrace that shows which X call is actually failing, and with what error.

Please see if you can reproduce this problem with ssh -Y instead of ssh -X too."
Comment 37 Marc-Andre Lureau 2014-08-29 09:44:21 EDT
*** Bug 924045 has been marked as a duplicate of this bug. ***
Comment 39 Marc-Andre Lureau 2015-04-21 19:50:49 EDT
no further info, low prio, moving to 7.3
Comment 42 xiaodwan 2016-02-17 03:52:10 EST
I try to reproduce it on rhel7.2 release version, but failed.

# rpm -q virt-viewer
virt-viewer-2.0-6.el7.x86_64
# rpm -q spice-server
spice-server-0.12.4-15.el7.x86_64


Steps:
1. Login rhel7.2 host with normal user.
2. Start a rhel6.7 and a rhel7.2 guest by "sudo virsh start $guestname".
3. On another rhel7.2 host, login in the dest host with "ssh root@$hostip -X".
4. Run below script.
#!/usr/bin/sh

i=100
while [ "$i" != "0" ]
do
remote-viewer spice://localhost:5901 &
sleep 1
killall remote-viewer
i=$(($i-1))
echo "--->$i"
done

I also tried to reproduce it on local with normal user and root user. but still failed.
Comment 43 Fabiano Fidêncio 2016-02-18 04:32:52 EST
(In reply to xiaodwan from comment #42)
> I try to reproduce it on rhel7.2 release version, but failed.
> 
> # rpm -q virt-viewer
> virt-viewer-2.0-6.el7.x86_64
> # rpm -q spice-server
> spice-server-0.12.4-15.el7.x86_64
> 
> 
> Steps:
> 1. Login rhel7.2 host with normal user.
> 2. Start a rhel6.7 and a rhel7.2 guest by "sudo virsh start $guestname".
> 3. On another rhel7.2 host, login in the dest host with "ssh root@$hostip
> -X".
> 4. Run below script.
> #!/usr/bin/sh
> 
> i=100
> while [ "$i" != "0" ]
> do
> remote-viewer spice://localhost:5901 &
> sleep 1
> killall remote-viewer
> i=$(($i-1))
> echo "--->$i"
> done
> 
> I also tried to reproduce it on local with normal user and root user. but
> still failed.

Considering that we were never able to reproduce the bug and that QA is not able to reproduce it anymore with latest release, I'm closing the bug.
Please, feel free to reopen the bug in case you have a reproducer.

I'm closing it as CURRENTRELEASE, but tended to close as INSUFFICIENT_DATA. If there is a more appropriate tag, feel free to change it.

Note You need to log in before you can comment on or make changes to this bug.